%define major	4
%define libname	%mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:		unibilium
Summary:	Terminfo parsing library
Version:	2.1.2
Release:	%mkrel 2
License:	LGPLv3+
Group:		System/Libraries
Url:		https://github.com/neovim/unibilium
Source0:	https://github.com/neovim/unibilium/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	libtool

%description
Unibilium is a very basic terminfo library. It doesn't depend on curses or any
other library. It also doesn't use global variables, so it should be
thread-safe.

%package -n %{libname}
Summary:	Terminfo parsing library
Group:		System/Libraries

%description -n %{libname}
Unibilium is a very basic terminfo library. It doesn't depend on curses or any
other library. It also doesn't use global variables, so it should be
thread-safe.

%package -n %{devname}
Summary:	Development files and headers for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development files and headers for %{name}.

%prep
%setup -q

%build
autoreconf -vfi
%configure --disable-static
%make_build

%install
%make_install

%check
make test

%files -n %{libname}
%doc README.md
%license LICENSE LGPLv3 GPLv3
%{_libdir}/libunibilium.so.%{major}{,.*}

%files -n %{devname}
%doc Changes
%{_includedir}/unibilium.h
%{_libdir}/libunibilium.so
%{_libdir}/pkgconfig/unibilium.pc
%{_mandir}/man3/unibi*.3*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 2.1.2-2.mga10
+ Revision: 2227915
- Mageia 10 Mass Rebuild

* Tue Sep 24 2024 daviddavid <daviddavid> 2.1.2-1.mga10
+ Revision: 2100694
- new version: 2.1.2

* Wed Mar 16 2022 umeabot <umeabot> 2.1.1-2.mga9
+ Revision: 1794688
- Mageia 9 Mass Rebuild

* Fri Oct 15 2021 wally <wally> 2.1.1-1.mga9
+ Revision: 1751590
- new version 2.1.1

* Tue Feb 25 2020 wally <wally> 2.1.0-1.mga8
+ Revision: 1550349
- switch to Neovim's fork as original project seems to be abandoned
- new version 2.1.0

* Fri Feb 14 2020 umeabot <umeabot> 2.0.0-3.mga8
+ Revision: 1517706
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 2.0.0-2.mga7
+ Revision: 1301520
- Mageia 7 Mass Rebuild

* Sun Mar 11 2018 wally <wally> 2.0.0-1.mga7
+ Revision: 1208160
- new version 2.0.0
- new lib major 4

* Fri Oct 20 2017 wally <wally> 1.2.1-1.mga7
+ Revision: 1172916
- imported package unibilium

